/*
Theme Name:  IndustrieDesign
Template: 	 arilewp
Theme URI:	 https://wordpress.org/themes/bravada/
Author:		 3WD
Author URI:	 https://childthemewp.com
Version:	 1.0.0
License:	 GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags:    	 opensource     
Text Domain: industriedesign
*/

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');
/* @import url('style_espace_admin.css'); */
@import url('editor-style.css');

:root {
  --couleur-1: #e1001a; /* Rouge */
  --couleur-2: #2e2d30; /* Gris */
    
  --couleur-3: #351a64; /* Violet foncé */
  --couleur-4: #817ac1; /* Violet clair */
  --couleur-5: #7c5581; /* Violet clair pour bloc */
  --couleur-6: #c6bcd9; /* Violet clair pour blockquote */
  --couleur-7: #f4f3f8; /* gris clair */
	
  --cornerRad: 4px;
}
/*
body {
  background-color: var(--couleur-1);
}
*/


/* font-family: 'Montserrat', sans-serif; */


/* ==========================================================================
Généralité
========================================================================== */

body, html {
	font-family: "Roboto", sans-serif;
	color: #000;
	font-weight: 400;
}
@media (min-width: 992px) {
	.responsive_992 {
		display: none !important;
	}
}
@media (max-width: 991px) {
	.desktop_992 {
		display: none !important;
	}
}
@media (min-width: 769px) {
	.responsive_769 {
		display: none !important;
	}
}
@media (max-width: 768px) {
	.desktop_769 {
		display: none !important;
	}
}
@media (min-width: 1200px) {
	.responsive_1200 {
		display: none !important;
	}
}
@media (max-width: 1199px) {
	.desktop_1199 {
		display: none !important;
	}
}
@media (min-width: 1290px) {
    .container {
        width: 1270px;
    }
}

@media (min-width: 992px) {
    .container-full {
        max-width: 1300px;
    }
}

p {
    margin-top: 0;
    margin-bottom: 0 !important;
    padding: 0 0 1.563rem;
}

/* ==========================================================================
Couleur
========================================================================== */

.theme-services .service-content-thumbnail i.fa {
    background: var(--couleur-1) !important;
}
.entry-content a {
    color: var(--couleur-1) !important;
    font-weight: 500;
}
.more-link {
    border: 2px solid var(--couleur-1) !important;
}
.theme-separator-line-horrizontal-full {
    background-color: var(--couleur-1) !important;
}
.site-footer {
    border-top: 3px solid var(--couleur-1) !important;
    border-bottom: 3px solid var(--couleur-1) !important;
}
.page-scroll-up a, 
.page-scroll-up a:hover, 
.page-scroll-up a:active {
    background: var(--couleur-1) !important;
}
.theme-page-header-area .overlay {
    background-color: #bbb !important;
}
.sidebar .widget .wp-block-group h1, .sidebar .widget .wp-block-group h2, .sidebar .widget .wp-block-group h3, .sidebar .widget .wp-block-group h4, .sidebar .widget .wp-block-group h5, .sidebar .widget .wp-block-group h6, .sidebar .widget .wp-block-search .wp-block-search__label {
    border-top: 3px solid var(--couleur-1) !important;
}
.service-links a {
    border: 1px solid var(--couleur-1) !important;
    border-radius: 0px !important;
}
.theme-services .service-content:hover .service-links a, 
.theme-services .service-content:focus .service-links a {
    background: var(--couleur-2) !important;
    border: 1px solid var(--couleur-2) !important;
    color: #fff !important;
}
body.custom-background .theme-bg-grey {
    background-color: #eaeaea !important;
}
.theme-services .service-content {
    color: var(--couleur-2);
}
.sidebar .widget .widget-title {
    border-top: 0px solid var(--couleur-1) !important;
}
.home .theme-page-header-area {
    height: 0 !important;
    padding: 0 !important;
}
.widget_nav_menu ul {
    padding: 0 !important;
}
.widget_nav_menu li {
    padding: 0.7rem 1.000rem 0.7rem !important;
}
.widget_nav_menu li.current-menu-item {
    border-right: 5px solid var(--couleur-1) !important;
}
.widget_nav_menu li a {
    color: var(--couleur-2);
}
.widget a:hover, 
.widget a:focus {
    color: var(--couleur-1) !important;
}

.entry-content a {
    box-shadow: 0 0px 0 0 currentColor;
    transition: none;
}
h1.text-white,
.page-breadcrumb > li a,
.page-breadcrumb > li + li:before,
.page-breadcrumb > li:first-child:before {
    color: var(--couleur-2) !important;
}

.site-footer {
    background-color: var(--couleur-2) !important;
    margin: 0;
    padding: 0;
    position: relative;
}
.theme-services .service-content:hover .service-content-thumbnail i.fa {
    background: #007bff;
    box-shadow: 0px 0px 0px 1px var(--couleur-1) !important;
}


/* ==========================================================================
Header
========================================================================== */

.navbar.navbar-expand-lg {
    background-color: var(--couleur-2);
}
.navbar .nav .menu-item .nav-link,
.navbar #menu-menu-1.nav .menu-item .nav-link {
    font-weight: 600;
    color: #fff;
    padding: 5px 0;
    border-bottom: 3px solid var(--couleur-2);
    transition: border 0.4s ease;
}
.navbar .nav .menu-item:hover .nav-link,
.navbar #menu-menu-1.nav .menu-item:hover .nav-link {
    border-bottom: 3px solid var(--couleur-1);
}
.navbar #menu-menu-1.nav .menu-item:hover #menu-menu-1.nav-link, 
.navbar #menu-menu-1.nav .menu-item.active .nav-link, 
.navbar #menu-menu-1.nav .menu-item .nav-link:focus {
    color: var(--couleur-1);
}
.theme-page-header-area {
    position: relative;
    padding: 1rem 0;
    width: 100%;
    height: 100%;
}

.header-fixed-top {
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 3;
    box-shadow: 0 8px 20px 0 rgba(0, 0, 0, .1);
    opacity: 1;
    -webkit-animation: slide-down 1.07s;
    animation: slide-down 1.07s;
    animation: none;
}
.header-fixed-top2 {
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 3;
    box-shadow: 0 8px 20px 0 rgba(0, 0, 0, .1);
    opacity: 1;
    -webkit-animation: slide-down 1.07s;
    /* animation: slide-down 1.07s; */
    animation: none !important;
}
#top-bar-text {
    color: #fff !important;
    text-align: center;
    padding-top: 10px;
    font-size: 14px;
}
.header_tel {
    background: url("imgs/ico_phone.png") no-repeat;
    color: var(--couleur-1) !important;
    display: inline-block;
    padding-left: 25px;
    margin-left: 20px;
}
@media (max-width: 991px) {
    #top-bar-text {
        display: none;
    }
}
.home .theme-block {
    padding-top: 0;
}
@media (min-width: 600px) {
    .navbar.header-fixed-top2 {
        top: 0px;
    }
    .page-header-fixed-top2 {
        margin-top: 165px;
    }
    .admin-bar .page-header-fixed-top2 {
        margin-top: 150px;
    }
}
@media (min-width: 992px) {
    .navbar-brand {
        padding-top: 1px !important;
        padding-bottom: 16px !important;
    }
}
.navbar .nav .menu-item.menu_lang {
    text-indent: -9999px;
    width: 20px;
    height: 20px;
    margin-right: 1.188rem;
}
.menu_lang.lang_en {
    background: url("imgs/ico_flag_uk.png") no-repeat;
}
.menu_lang.lang_fr {
    background: url("imgs/ico_flag_fr.png") no-repeat;
}
    
    
/* ==========================================================================
Contenu général
========================================================================== */

.theme-block {
    position: relative;
    padding: 3.5rem 0 1.875rem;
}

.service-title {
    display: block;
    border-left:  3px solid #fff !important;
    min-height: 75px;
    line-height: 1.2;
}
.theme-services .service-content:hover .service-title a, 
.theme-services .service-content:focus .service-title a {
    border-left:  3px solid var(--couleur-1) !important;
    line-height: 1.2;
}
.service-title a {
    display: block;
    text-decoration: none;
    color: var(--couleur-2) !important;
    border-left:  3px solid #fff !important;
}
.theme-services .service-title a {
    position: relative;
    z-index: 1;
    padding: 0 5px;
    font-size: 18px;
}
.service-title::first-letter {
    color: var(--couleur-1); /* Couleur rouge personnalisée */
    font-size: 110%; /* (Optionnel) Ajuster la taille de la première lettre */
    font-weight: bold; /* (Optionnel) Rendre la première lettre en gras */
}
.theme-services .service-content-thumbnail img {
    border-radius: 2px;
    width: 100%;
    height: 135px;
    object-fit: cover;
}

.more-link {
    font-size: 0.938rem;
    font-weight: 700;
    background: #ffffff;
    color: #01012f !important;
    padding: 0.550rem 1.3rem 0.550rem;
    border-radius: 0 !important;
    display: inline-block;
    line-height: 1;
    box-shadow: none !important;
}


.entry-content a.lien_pdf {
    display: inline-block;
    font-size: 16px;
    color: var(--couleur-2) !important;
    position: relative;
    padding-left: 30px;
}
.lien_pdf:before {
    content: "";
    display: inline-block;
    width: 22px;
    height: 25px;
    background-image: url('imgs/ico_pdf.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
    
    
/* ==========================================================================
Accueil
========================================================================== */
    
.home .post-content {
    padding-top: 60px;
}
    
/* ==========================================================================
Slider
========================================================================== */

.wpsisac-slide-title {
    display: none;
}
/* État initial : texte caché et déplacé en haut */
.slick-slide .wpsisac-slider-content {
    opacity: 0;
    transform: translateY(-300%);
    bottom: 70px; /* Position finale à 100px du bas */
}

/* Lorsque la diapositive est active : le texte devient visible et descend */
.slick-active .wpsisac-slider-content.show {
    opacity: 1;
    transform: translateY(0); /* Texte à sa position finale */
    bottom: 70px;
}

.wpsisac-slick-slider.wpsisac-prodesign-1 .wpsisac-slider-content {
    left: 50px;
    right: 50px;
    position: absolute;
    bottom: 70px;
    padding: 0 15px;
    width: 28%;
}

@media (max-width: 991px) {
    .wpsisac-slick-slider.wpsisac-prodesign-1 .wpsisac-slider-content {
        width: 80%;
    }
}

.wpsisac-slick-slider.wpsisac-prodesign-1 .wpsisac-slider-short-content {
    text-align: left;
    background: rgba(225, 0, 26, .7);
    padding: 10px;
    margin-bottom: 8px;
    color: #fff;
    font-size: 16px;
}
.wpsisac-slick-slider.wpsisac-prodesign-1 .wpsisac-slider-short-content p, 
.wpsisac-slick-slider.wpsisac-prodesign-4 .wpsisac-slider-short-content p {
    text-align: left;
    color: #fff;
    font-size: 30px;
}
.wpsisac-slick .slick-dots li button, .wpsisac-slider-nav .slick-dots li button {
    text-indent: -99999px;
    background: #fff !important;
    margin: 0 !important;
    padding: 0 !important;
    border: 2px solid var(--couleur-1);
    border-radius: 50% !important;
    width: 20px !important;
    height: 20px !important;
    box-shadow: none !important;
    cursor: pointer;
}
.wpsisac-slick .slick-dots li.slick-active button, 
.wpsisac-slider-nav .slick-dots li.slick-active button {
    background: var(--couleur-1) !important;
}


    
/* ==========================================================================
RECHERCHE
========================================================================== */


.feature-box {
    padding: 80px 40px 15px 40px !important;
    border-radius: 10px;
    border: solid 1px var(--couleur-1);
    height: 100%;
    -webkit-transition: all 200ms ease-in-out;
    transition: all 200ms ease-in-out;
}
.searchandfilter ul {
    padding-left: 0;
    margin-bottom: 5px;
}
.searchandfilter ul li {
    max-width: 95%;
}
@media (min-width: 992px) {
    .searchandfilter ul li {
        max-width: 25%;
    }
}
.searchandfilter li {
    list-style: none;
    display: inline-block;
    padding-right: 10px;
}
.form-group {
    margin-bottom: 5px;
}
.form-group {
    padding-bottom: 7px;
    position: relative;
}
.form-group .form-control {
    margin-bottom: 7px;
    border: 1px solid var(--couleur-1);
}
input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, select {
    color: #333;
    border: 1px solid var(--couleur-1);
    border-radius: 3px;
    padding: 3px;
}


